<?php
$tabla=$_REQUEST["tabla"];

header("Content-type: application/vnd.ms-excel; name='excel'");
header("Content-Disposition: filename=$tabla.xls");
header("Pragma: no-cache");
header("Expires: 0");



include "../conexion.php";

if($tabla=='marca' || $tabla=='linea' || $tabla=='grupo' || $tabla=='unidad')  
{
	echo "<table width='100%' border='1'  cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td >Codigo</td>";
	echo "<td>Nombre</td>";
	echo "<td>Estado</td>";
	echo "</tr>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,estado from $tabla order by id asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $estado=$datos[2];
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
	
		    if($c%2==0){$color="#EAEAEA";}
			else {$color="#BFBFBF";}
			echo " <tr >";
					  echo "<td>$id</td>";
					 echo "<td>".trim($nombre)."</td>";
					 echo "<td>".$nestado."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table>"; 
} 

if($tabla=='cliente')  
{
   echo "<center> <table width='100%' border='1'  cellpadding='0' cellspacing='0'>";
	echo "<tr >";
	echo "<td align='center' >Codigo</td>";
	echo "<td align='center'>Nit/DOC</td>";
	echo "<td align='center'>Nombre</td>";
	echo "<td align='center'>Direccion</td>";
	echo "<td align='center'>Telefono</td>";
	echo "<td align='center'>Email</td>";
	echo "<td align='center'>Contacto</td>";
	echo "<td align='center'>Estado</td>";
	echo "<td align='center'>Cupo</td>";
	echo "<td align='center'>Dias</td>";
	echo "</tr>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,direccion,telefono,email,contacto,estado,cupo,dias,documento
										 from $tabla order by id asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $direccion=$datos[2];
		   $telefono=$datos[3];
		   $email=$datos[4];
		   $contacto=$datos[5];
		   $estado=$datos[6];
		   $cupo=$datos[7];
		   $dias=$datos[8];
		   $documento=$datos[9];
		   
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
	
		    
			echo " <tr >";
					 echo "<td>$id</td>";
					  echo "<td>$documento</td>";
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$direccion."</td>";
					 echo "<td>".$telefono."</td>";
					 echo "<td>".$email."</td>";
					 echo "<td>".$contacto."</td>";					 
					 echo "<td>".$nestado."</td>";
					 echo "<td>".$cupo."</td>";
					 echo "<td>".$dias."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table></center>"; 
}

if($tabla=='proveedor')  
{
   echo "<center> <table width='100%' border='1'  cellpadding='0' cellspacing='0'>";
	echo "<tr >";
	echo "<td align='center' >Codigo</td>";
	echo "<td align='center'>Nit/DOC</td>";
	echo "<td align='center'>Nombre</td>";
	echo "<td align='center'>Direccion</td>";
	echo "<td align='center'>Telefono</td>";
	echo "<td align='center'>Email</td>";
	echo "<td align='center'>Contacto</td>";
	echo "<td align='center'>Estado</td>";
	echo "</tr>";	
	$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,direccion,telefono,email,contacto,estado,cupo,dias,documento
										 from $tabla order by id asc");
	$c=1; 
	while($datos= mysqli_fetch_row($sql_datosre))//01
		{   
		   $id=$datos[0];
		   $nombre=$datos[1];
		   $direccion=$datos[2];
		   $telefono=$datos[3];
		   $email=$datos[4];
		   $contacto=$datos[5];
		   $estado=$datos[6];
		   $cupo=$datos[7];
		   $dias=$datos[8];
		   $documento=$datos[9];
		   
		   if($estado=='A'){$nestado="Activo";}
		   if($estado=='I'){$nestado="Inactivo";}
		    
			echo " <tr >";
					 echo "<td>$id</td>";
					  echo "<td>$documento</td>";
					 echo "<td>".$nombre."</td>";
					 echo "<td>".$direccion."</td>";
					 echo "<td>".$telefono."</td>";
					 echo "<td>".$email."</td>";
					 echo "<td>".$contacto."</td>";					 
					 echo "<td>".$nestado."</td>";
					 echo "</tr>";
				$c=$c+1;
		 }
	 echo "</table></center>"; 
}
?>